#!/bin/sh

OPENOCD=$1
W_OPENOCD_CFG=$2
W_OPENOCD_SCRIPT=$3
LOCAL_BUILD_DIR=$4
BIN=$5

CFG=`basename $W_OPENOCD_CFG`
LOCAL_CFG="$LOCAL_BUILD_DIR/$CFG"
SCRIPT=`basename $W_OPENOCD_SCRIPT`
LOCAL_SCRIPT="$LOCAL_BUILD_DIR/$SCRIPT"

echo "$LOCAL_CFG"
echo "$LOCAL_SCRIPT"

rm -f $LOCAL_CFG
rm -f $LOCAL_SCRIPT
cp $W_OPENOCD_CFG $LOCAL_CFG
cp $W_OPENOCD_SCRIPT $LOCAL_SCRIPT

BIN=`echo $BIN | sed 's/\//\\\\\//g'`
LOCAL_SCRIPT_EXP=`echo $LOCAL_SCRIPT | sed 's/\//\\\\\//g'`

sed -i -e 's/XXX_REPLACE_BIN_NAME_XXX/'$BIN'/g' $LOCAL_SCRIPT
sed -i -e 's/XXX_REPLACE_SCRIPT_NAME_XXX/'$LOCAL_SCRIPT_EXP'/g' $LOCAL_CFG

$OPENOCD -f $LOCAL_CFG
